Public Class Form1
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Static ImageIndex As Integer = 0
        If ImageIndex < ImageList1.Images.Count - 1 Then
            ImageIndex += 1
        Else
            ImageIndex = 0
        End If
        PictureBox1.Image = ImageList1.Images(ImageIndex)
    End Sub

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles MyBase.Load
        PictureBox1.Image = ImageList1.Images(0)
    End Sub
End Class
